summary refs log tree commit diff
diff options
context:
space:
mode:
-rwxr-xr-xpkgs/build-support/fetchurl/builder.sh12
1 files changed, 2 insertions, 10 deletions
diff --git a/pkgs/build-support/fetchurl/builder.sh b/pkgs/build-support/fetchurl/builder.sh
index 4560017220f9..e0f2517e3c2e 100755
--- a/pkgs/build-support/fetchurl/builder.sh
+++ b/pkgs/build-support/fetchurl/builder.sh
@@ -4,17 +4,9 @@
 
 echo "downloading $url into $out..."
 
-#prefetch=@prefix@/store/nix-prefetch-url-$md5
-prefetch=/nix/store/nix-prefetch-url-$md5
-if test -f "$prefetch"; then
-    echo "using prefetched $prefetch";
-    mv $prefetch $out || exit 1
-else
-    wget --passive-ftp "$url" -O "$out" || exit 1
-fi
+wget --passive-ftp "$url" -O "$out" || exit 1
 
-#actual=$(@bindir@/nix-hash --flat $out)
-actual=$(/nix/bin/nix-hash --flat $out)
+actual=$(md5sum -b $out | cut -c1-32)
 if test "$actual" != "$md5"; then
     echo "hash is $actual, expected $md5"
     exit 1